PROGRAM Scope_1
   IMPLICIT NONE
   REAL, PARAMETER  :: PI = 3.1415926
   INTEGER          :: m, n 

!  ........

CONTAINS
   INTEGER FUNCTION Funct1(k)
      IMPLICIT NONE
      INTEGER, INTENT(IN) :: k
      REAL                :: f, g

!     ......

   END FUNCTION Funct1

   REAL FUNCTION Funct2(u, v)
      IMPLICIT NONE
      REAL, INTENT(IN) :: u, v

!     .....

   END FUNCTION Funct2
END PROGRAM Scope_1 


